package com.foo.domain;

import java.util.Iterator;

import com.foo.util.QueryParam;

public interface ContactDao {
	public void store(Contact contact);
	
	/**
	 * @param id
	 *            contact id
	 * @return contact with matching id
	 */
	Contact get(long id);
	
	/**
	 * @param qp
	 *            sorting and paging info
	 * @return iterator over contacts
	 */
	Iterator<Contact> find(QueryParam qp);
}
