package com.foo.domain;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;





public class Main {
	private static String generatePhoneNumber()
	{
		return new StringBuilder().append(rint(2, 9))
			.append(rint(0, 9))
			.append(rint(0, 9))
			.append("-555-")
			.append(rint(1, 9))
			.append(rint(0, 9))
			.append(rint(0, 9))
			.append(rint(0, 9))
			.toString();
	}

	private static int rint(int min, int max)
	{
		return (int)(Math.random() * (max - min) + min);
	}

	private static String randomString(String[] choices)
	{
		return choices[rint(0, choices.length)];
	}
	
    public static void main(String[] args) {
    	 String[] firstNames = { "Jacob", "Emily", "Michael", "Sarah", "Matthew", "Brianna",
    			"Nicholas", "Samantha", "Christopher", "Hailey", "Abner", "Abby", "Joshua", "Douglas",
    			"Jack", "Keith", "Gerald", "Samuel", "Willie", "Larry", "Jose", "Timothy", "Sandra",
    			"Kathleen", "Pamela", "Virginia", "Debra", "Maria", "Linda","Marco","Frank" };

    	 String[] lastNames = { "Smiith", "Johnson", "Williams", "Jones", "Brown", "Donahue",
    			"Bailey", "Rose", "Allen", "Black", "Davis", "Clark", "Hall", "Lee", "Baker",
    			"Gonzalez", "Nelson", "Moore", "Wilson", "Graham", "Fisher", "Cruz", "Ortiz", "Gomez",
    			"Murray","Hurst","Jackson" };
    	
        ApplicationContext context = new ClassPathXmlApplicationContext("beans-hibernate.xml"); // or 'beans-hibernate.xml' 

        
        ContactDao contactDao = (ContactDao) context.getBean("contactDao");
        Contact contact;
        for (int i=0; i<135;i++) {
        	contact = new Contact(randomString(firstNames), randomString(lastNames));
        	contact.setHomePhone(generatePhoneNumber());
        	contact.setCellPhone(generatePhoneNumber());
        	contactDao.store(contact);
        }
        
        contact = contactDao.get(51l);
        System.out.println("First Name: " + contact.getFirstName());
        System.out.println("Last Name: " + contact.getLastName());
        System.out.println("Home Phone: " + contact.getHomePhone() );
        System.out.println("Cell Phone: " + contact.getCellPhone());
    }
}
